Bug 1257327 - Numerous "connection reset by peer" messages in nova-novncproxy.log [NEEDINFO]
Numerous "connection reset by peer" messages in nova-novncproxy.log
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: novnc (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: RHOS Maint
Shai Revivo
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 15:44 EDT by Jeremy
Modified: 2016-04-25 16:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 16:39:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
eglynn: needinfo? (jmelvin)


Attachments (Terms of Use)
novncproxy.log (2.34 MB, text/plain)
2015-08-26 15:44 EDT, Jeremy
no flags Details

  None (edit)
Description Jeremy 2015-08-26 15:44:10 EDT
Created attachment 1067381 [details]
novncproxy.log

Description of problem:Numerous "connection reset by peer" messages in nova-novncproxy.log


Version-Release number of selected component (if applicable):


How reproducible: unknown


Steps to Reproduce:
1. unknown
2. 
3.

Actual results:
Numerous "connection reset by peer" messages in nova-novncproxy.log

Expected results:
no message spam

Additional info:
log file is attached
Comment 3 bigswitch 2015-08-31 13:52:53 EDT
seeing the same problem in a three controller, two compute nodes setup with rhosp 7. I flush firewall rules on all controllers and computes:


2015-08-31 13:50:52.905 26168 TRACE nova.console.websocketproxy
2015-08-31 13:50:52.909 19262 DEBUG nova.console.websocketproxy [-] Reaing zombies, active child count is 0 vmsg /usr/lib/python2.7/site-packages/websockify/websocket.py:828
2015-08-31 13:50:52.971 19262 DEBUG nova.console.websocketproxy [-] 172.17.0.14: new handler Process vmsg /usr/lib/python2.7/site-packages/websockify/websocket.py:828
2015-08-31 13:50:52.975 19262 DEBUG nova.console.websocketproxy [-] 172.17.0.15: new handler Process vmsg /usr/lib/python2.7/site-packages/websockify/websocket.py:828
2015-08-31 13:50:52.977 19262 DEBUG nova.console.websocketproxy [-] Reaing zombies, active child count is 0 vmsg /usr/lib/python2.7/site-packages/websockify/websocket.py:828
2015-08-31 13:50:52.979 26171 INFO nova.console.websocketproxy [-] handler exception: [Errno 104] Connection reset by peer
2015-08-31 13:50:52.979 26171 DEBUG nova.console.websocketproxy [-] exception vmsg /usr/lib/python2.7/site-packages/websockify/websocket.py:828
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy Traceback (most recent call last):
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/websockify/websocket.py", line 878, in top_new_client
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     client = self.do_handshake(startsock, address)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/websockify/websocket.py", line 813, in do_handshake
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self.RequestHandlerClass(retsock, address, self)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/nova/console/websocketproxy.py", line 156, in __init__
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     websockify.ProxyRequestHandler.__init__(self, *args, **kwargs)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/websockify/websocket.py", line 112, in __init__
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     SimpleHTTPRequestHandler.__init__(self, req, addr, server)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/SocketServer.py", line 649, in __init__
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self.handle()
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/websockify/websocket.py", line 544, in handle
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     SimpleHTTPRequestHandler.handle(self)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/BaseHTTPServer.py", line 340, in handle
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self.handle_one_request()
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/BaseHTTPServer.py", line 328, in handle_one_request
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     method()
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/websockify/websocket.py", line 514, in do_GET
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     SimpleHTTPRequestHandler.do_GET(self)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/SimpleHTTPServer.py", line 44, in do_GET
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     f = self.send_head()
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/SimpleHTTPServer.py", line 91, in send_head
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self.send_response(200)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/BaseHTTPServer.py", line 396, in send_response
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self.send_header('Date', self.date_time_string())
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/BaseHTTPServer.py", line 401, in send_header
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self.wfile.write("%s: %s\r\n" % (keyword, value))
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/socket.py", line 324, in write
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self.flush()
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib64/python2.7/socket.py", line 303, in flush
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     self._sock.sendall(view[write_offset:write_offset+buffer_size])
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/eventlet/greenio/base.py", line 376, in sendall
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     tail = self.send(data, flags)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy   File "/usr/lib/python2.7/site-packages/eventlet/greenio/base.py", line 359, in send
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy     total_sent += fd.send(data[total_sent:], flags)
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy error: [Errno 104] Connection reset by peer
2015-08-31 13:50:52.979 26171 TRACE nova.console.websocketproxy
2015-08-31 13:50:52.982 19262 DEBUG nova.console.websocketproxy [-] Reaing zombies, active child count is 0 vmsg /usr/lib/python2.7/site-packages/websockify/websocket.py:828
Comment 4 Eoghan Glynn 2015-10-09 07:27:10 EDT
This is a possible duplicate of BZ 1257324.

Can you check if the nova_novncproxy haproxy config change as described in https://bugzilla.redhat.com/1257324#c29 is needed here?

Note You need to log in before you can comment on or make changes to this bug.